1.0
1.0
post /v1/cloudmonitorings/product/v2/metric-data
Description
Search the performance values of the collected metrics. Up to 10 query conditions can be specified, and the maximum query period is 24 hours.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | X-ResourceType required | Resource Type Example : | string | None |
| body | body required | MetricDataSearchCriteriaOpenAPIV2 |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ListResponseMetricStatisticsDataDtoOpenAPIV2 |
| 201 | OK(Created) | ListResponseMetricStatisticsDataDtoOpenAPIV2 |
| 400 | Invalid Request | None |
| 401 | Monitoring User Not Found | None |
| 403 | Unauthorized Request | None |
| 404 | Resource Not Found | None |
Example HTTP request
Request path
/v1/cloudmonitorings/product/v2/metric-data
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudmonitoring 1.0"
Request body
{
"ignoreInvalid": "Y",
"metricDataConditions": [
{
"metricKey": "system.diskio.read.bytes",
"objectType": "replicaset",
"productResourceInfos": [
{
"objectList": [
"kube-01",
"kube-02"
],
"productResourceId": "INSTANCE-c4Hsd27ttDaLw533X4B6Sp"
}
],
"statisticsPeriod": 5,
"statisticsTypeList": [
"SUM",
"MIN"
]
}
],
"queryEndDt": "2022-08-07T23:59:00.000Z",
"queryStartDt": "2022-08-07T23:50:00.000Z"
}
Example HTTP response
Response 200
{
"contents": [
{
"metricKey": "system.filesystem.used.bytes",
"metricName": "system.filesystem.used.bytes",
"metricType": "NUM",
"metricUnit": "bytes",
"objectDisplayName": "dm-1",
"objectName": "dm-1",
"objectType": "replicaset",
"perfData": [
{
"time": 1627378200000,
"value": "0.0766"
}
],
"productName": "VM-Server-01",
"productResourceId": "INSTANCE-c4Hsd27ttDaLw533X4B6Sp",
"statisticsPeriod": 5,
"statisticsType": "SUM"
}
],
"totalCount": ""
}